Changelog for Foxbit's API

This changelog is organized in reverse chronological order, with the most recent updates appearing first. Back to our documentation for futher API details.

The changelog updates initiated on 2024-10-25.

2025-12-18

New fields for trading orders

  • POST /orders endpoint
    • Added support for the Self-Trading Prevention (STP) mechanism, allowing configuration of the action to be taken when orders from the same member match against each other.
    • Added support for slippage tolerance, allowing clients to define the maximum acceptable price deviation an order may experience during its execution.
  • These fields are also included in responses from the GET order endpoints.

For more details, please refer to the available documentation.


2025-09-01

New Sparkline endpoint now available

  • GET /markets/sparkline/{window} endpoint
    • This new endpoint provides sparkline data for specific time windows and market groups
    • Supports multiple time windows: hour, day, week, month, year, and all
    • Each window has its own optimal interval (1m for hour, 5m for day, 1h for week, etc.)
    • Returns timestamp and price data points for visualization
    • Includes built-in caching (10 seconds) and rate limiting (3 requests per 2 seconds)
    • Supports up to 20 market symbols per request

Check the available documentation for this endpoint for more details.


2025-07-25

Get all tickers endpoint now includes new attributes

  • best information
    • This field provides the best bid and ask prices for each ticker

Check the available documentation for this endpoint for more details.


2025-04-16

Added new header X-FB-RECEIVE-WINDOW

  • X-FB-RECEIVE-WINDOW header
    • This header indicates the time window in milliseconds for which the server will accept incoming requests. It helps to prevent replay attacks and ensures that requests are processed within a specific time frame.
    • This new header is available for all authenticated requests to the API, but it is not mandatory.

Check the available documentation for more details.


2025-04-08

List markets endpoint now includes two new attributes

  • order_type field

    • This field informs the client which order types are available in each market
  • default_fees field

    • The default market fees. These are baseline values — actual fees may vary per user. For detailed user-specific fees, see our trading fees endpoint
  • Both available in the response of the /rest/v3/markets endpoint

Check the available documentation for this endpoint for more details.


2025-03-26

Implementation of a new order state


2025-03-06

New endpoint for the OTC module

  • Introducing an endpoint to get an execution by quote ID
  • GET /otc/executions/{quote_id}
  • Rate limit: 6 requests every 2 seconds
  • Documentation for this endpoint

2025-02-25

Introduction of a new order type

  • It's now possible to open STOP_LIMIT orders
  • An order of this type triggers a limit order when the asset reaches a specific price. It combines a stop price (activation) and a limit price (execution range), giving more control over the trade

2024-12-11

Addition of a new time_in_force option for orders

  • Immediate Or Cancel (IOC) implementation for the time_in_force field, only available for LIMIT and STOP_LIMIT order types
  • IOC is a type of financial order that states if any part of the order is not executed immediately, it must be canceled

2024-10-28

List trades endpoint now includes a new attribute

  • Addition of the role field in the response of the /rest/v3/trades endpoint
  • This field informs the client of their role as MAKER or TAKER in that trade

Check the available documentation for this endpoint for more details.


2024-10-25

New endpoint for the orders module

  • Introducing an endpoint to create orders in batch
  • POST /v3/orders/batch
  • Rate limit: 8 requests every 2 seconds
  • Maximum of 5 orders per batch
  • Documentation for this endpoint